package com.trade.service.contract.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.contract.entity.ESignFlow;

public interface ESignFlowService extends IService<ESignFlow> {

    /**
     * 新增e签宝签署流程
     * 
     * @param eSignFlow 流程信息
     * @return boolean
     */
    boolean add(ESignFlow eSignFlow);

    /**
     * 根据流程id获取流程信息
     * 
     * @param flowId 流程id
     * @return ESignFlow 流程信息
     */
    ESignFlow getByFlowId(String flowId);

    void updateStatus(Long id, Integer status);
}
